{ config, lib, pkgs, ... }:

let cfg = config.modules.desktop.forensics;
in {
  options.modules.desktop.forensics = {
    enable = lib.mkOption {
      default = false;
      example = true;
    };
  };

  config = lib.mkIf cfg.enable {
    user.packages = with pkgs; [
      acquire
      afflib
      autopsy
      fatcat
      foremost
      hstsparser
      networkminer
      sleuthkit
      testdisk-qt
      tracee
    ];
  };
}
